<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=4.302.0.22, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="sfwg" %>
<%@ Register Assembly="Syncfusion.Shared.Web, Version=4.302.0.22, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base, Version=4.302.0.22, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Styles" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Grid.Windows, Version=4.302.0.22, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Windows.Forms.Grid" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grouping.Base, Version=4.302.0.22, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Grouping" TagPrefix="cc3" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <link href="StyleSheets/prtm-main.css" rel="stylesheet" />
    <title>GridGroupingControl Sorting Test</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <table>
            <tr>
                <td>
                    
                    <sfwg:GridGroupingControl ID="GridGroupingControl1" runat="server" DataMember="" PageSize="0"
                        ShowGroupDropArea="False" FlatStyle="True" ShowIndicator="False" CssClass="fs-12"
                        EnableViewState="true" BorderWidth="0" CellSpacing="2" ExpandButtonBackColor="white"
                        FrozenRows="2" ExpandButtonBorderColor="white" HeaderHotTrackBorderColor="ActiveCaptionText"
                        EnableCallbacks="true">
                        <ChildGroupOptions ShowAddNewRecordBeforeDetails="True" ShowCaption="True" ShowCaptionPlusMinus="True"
                            ShowSummaries="True" />
                        <TableDescriptor AllowNew="False" AllowEdit="False" AllowRemove="False" AllowColumnResize="False">
                            <ChildGroupOptions ShowCaptionPlusMinus="True" RepaintCaptionWhenItemsChanged="True"
                                CaptionText="{Category}" ShowAddNewRecordBeforeDetails="True" />
                            <TableOptions CaptionRowHeight="0" ShowRowHeader="False" AllowDragColumns="False"
                                AllowDropDownCell="False" AllowMultiColumnSort="False"></TableOptions>
                        </TableDescriptor>
                        <TopLevelGroupOptions ShowCaption="False" />
                        <Appearance>
                            <ColumnHeaderCell CssClass="tac bgc-05"/>
                            <GroupCaptionCell CssClass="bgc-01" />
                            <AnyRecordFieldCell CssClass="bgc-11" />
                            <GroupIndentCell CssClass="bgc-11" />
                            <AnyHeaderCell TextAlign="Left" />
                        </Appearance>
                    </sfwg:GridGroupingControl>
                        
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td>
                    <asp:Button ID = "btnResetProperties" runat = "server" Text = "Reset Grid Properties" />
                </td>
            </tr>
        </table>
    </div>
    </form>
</body>
</html>
